### Constructor

# Gtk ComboBoxnew_with_model_and_entry

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_combo_box_new_with_model_and_entry (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new empty `GtkComboBox` with an entry and a model.

See also `gtk_combo_box_new_with_entry()`.

Deprecated since: 4.10

Use `GtkDropDown`

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkComboBox`

The data is owned by the called function.